<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
		  xmlns:c="http://java.sun.com/jsp/jstl/core"
		  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
		  xmlns:fn="http://java.sun.com/jsp/jstl/functions"
		  xmlns:nk="urn:jsptagdir:/WEB-INF/tags/nekurak"
		  xmlns:nkfn="/WEB-INF/nekurakFunkce"
		  version="2.0">

	<jsp:useBean id="uvod" class="cz.frantovo.nekurak.web.Uvod" scope="request"/>

	<nk:stranka>

		<p><fmt:message key="uvod.naposledyPridanePodniky"/>:</p>

		<script type="text/javascript" src="js/fotkyPodniku.js"></script>

		<c:forEach var="p" items="${uvod.podniky}">
			<div class="podnik">
				<!-- Tři bloky vedle sebe -->

				<!-- Název a adresa podniku -->
				<div class="adresa">
					<h2><a href="?akce=detail&amp;amp;podnik=${p.id}"><c:out value="${p.nazev}"/></a></h2>
					<p><c:out value="${p.popis}"/></p>
					<p>
						<fmt:message key="uvod.adresa"/>:<br/>
						<c:out value="${p.ulice}"/>&amp;#160;
						<c:out value="${p.cisloPopisne}"/><br/>
						<c:out value="${p.mesto}"/>
					</p>
					<c:set var="domena" value="${p.urlDomena}"/>
					<c:if test="${domena != null}">
						<p>
							<fmt:message key="uvod.www" var="titulekWwwStranka"/>
							<a href="${fn:escapeXml(p.url)}" title="${fn:escapeXml(titulekWwwStranka)}" class="ẃebPodniku">
								<c:out value="${domena}"/>
							</a>
						</p>
					</c:if>

					<!-- Kategorie podniku (hospoda, vinárna atd.) -->
					<c:if test="${!empty p.kategorie}">
						<ul class="stitky">
							<c:forEach var="k" items="${p.kategorie}">
								<li>
									<a href="?akce=kategorie&amp;amp;id=${k.id}" title="${fn:escapeXml(k.popis)}">
										<c:out value="${k.nazev}"/>
									</a>
								</li>
							</c:forEach>
						</ul>
					</c:if>
				</div>

				<!-- Hlasování a graf -->
				<div class="hlasovani">
					<nk:hlasovani podnik="${p.id}"/>
				</div>

				<!-- Fotky podniku -->
				<div class="fotky">
					<nk:fotkyPodniku podnik="${p}"/>
				</div>

			</div>
		</c:forEach>

		<!-- konec obtékaných bloků -->
		<div class="cistic"></div>

	</nk:stranka>

</jsp:root>
